Get streak config by ID
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/admin/streaks/configs/{id} \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/streaks/configs/{id}"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/streaks/configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organisationId": "<string>",
"isEnabled": true,
"triggerEvents": {
"platform": [
"achievement-completion"
],
"custom": [
"<string>"
]
},
"createdBy": "<string>",
"updatedBy": "<string>",
"communityId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Streaks
Get streak config by ID
Retrieve a streak config by its ID.
GET
/
streaks
/
configs
/
{id}
Get streak config by ID
Authorizations
Path Parameters
The ID of the streak config to retrieve
Pattern:
^[0-9a-fA-F]{24}$Response
Successful response
A streak config
The id of the streak config
Pattern:
^[0-9a-fA-F]{24}$The id of the organisation this streak config belongs to
Pattern:
^[0-9a-fA-F]{24}$Whether the streak is enabled and users can start and extend streaks.
Show child attributes
Show child attributes
The admin user who created this streak config
The admin user who last updated this streak config
The id of the community this streak config belongs to. No community means this is an organisation level streak config.
Pattern:
^[0-9a-fA-F]{24}$Was this page helpful?

